Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

How do I update PHP on my Mac?

  • 1 reply
  • 1 has this problem
  • 17 views
  • Last reply by philipp

more options

Wordpress just released its Wordpress 5.2 and wants me to update. But when I try to do so, I get this message:

“WordPress 5.2 requires PHP version 5.6.20 or higher. You are running version 5.4.45.”

OK, but how do I install/run a newer version of PHP? Any downloads I find are Windows-based. And I can’t find PHP anywhere on my hard drive or Library. This is massively confusing.

All Replies (1)

more options

hello, the php version refers to the server software where your blog is hosted (so you'd need to consult your hoster about that php update) - or are you self-hosting your blog on a local machine?